Bug 62264 - mkinitrd does not put usb-storage (any req'd modules) in initrd if required to boot
Summary: mkinitrd does not put usb-storage (any req'd modules) in initrd if required t...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: mkinitrd   
(Show other bugs)
Version: skipjack-beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901 67218
TreeView+ depends on / blocked
 
Reported: 2002-03-28 22:56 UTC by Michael Fulbright
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-21 20:31:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Fulbright 2002-03-28 22:56:23 UTC
If you have '/' or '/boot' on a usb-storage device, mkinitrd does not include
the required modules.

Comment 1 Erik Troan 2002-05-21 02:31:45 UTC
How do we know if this is the case? Choices seem to be:

1) Look for any currently mounted scsi devices, poke around to see if they
   are usb (not trivial, but doable). If so, include them. This is similiar
   to how raid works.
2) Assume that the current / is the real one; we don't do this for any other
   case.
3) Look in /etc/fstab, get the device (possibly a LABEL), resolve to a real
   device (if it's a LABEL), see if that's a scsi-on usb

#3 is probably the best, but it's not a trivial change. I can implement it, but
I can't test unless you want to send me a usb-storage device (my camera says
is doesn't want to be a root device for linux!)

Comments?

Comment 2 Erik Troan 2002-06-27 20:22:06 UTC
basically did #1 for / and /boot filesystems

done in mkinitrd-3.4.12

Comment 3 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated


Note You need to log in before you can comment on or make changes to this bug.